Bug 1395313 - non-PAE kernel is installed under 32-bit Xen PV guests
Summary: non-PAE kernel is installed under 32-bit Xen PV guests
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F25FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2016-11-15 16:24 UTC by Konrad Rzeszutek Wilk
Modified: 2017-12-12 10:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:31:57 UTC


Attachments (Terms of Use)

Description Konrad Rzeszutek Wilk 2016-11-15 16:24:02 UTC
Description of problem:

When installing Fedora Server 25 PV guest under Fedora Server 25 dom0 using virt-install or virt-manager the install works OK.

But the image cannot be booted up. The issue is that the kernel that is installed is the non-PAE and Xen PV drivers are compiled only in PAE (and 64-bit) kernels.

Which means we get this useless message:
virsh # start Fedora-32
error: Failed to start domain Fedora-32
error: internal error: libxenlight failed to create new domain 'Fedora-32'
Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Install Fedora 25. Install Xen, libvirt and virt-manager (dnf install xen libvirt virt-manager), reboot machine.
2. virt-manager, create new guest, select Xen PV guests
3. Point to the URL of the exploded tree: https://download.fedoraproject.org/pub/fedora/linux/releases/24/Server/i386/os/ and start installing
4. Install finishes, guest is rebooted and we get the: "
error: internal error: libxenlight failed to create new domain 'Fedora-32'"

Actual results:

Error in libxenlight.

Expected results:

No errors. Normal guest startup (like 64-bit PV guests).

Additional info:

I figured out it was the kernel issue by looking at the libvirt logs:

# tail /var/log/libvirt/libxl/libxl-driver.log 
2016-11-15 10:24:32 EST libxl: warning: libxl_bootloader.c:416:bootloader_disk_attached_cb: bootloader='/usr/bin/pygrub' is deprecated; use bootloader='pygrub' instead
2016-11-15 10:24:37 EST xc: error: panic: xc_dom_core.c:701: xc_dom_find_loader: no loader found: Invalid kernel
2016-11-15 10:24:37 EST libxl: error: libxl_dom.c:629:libxl__build_dom: xc_dom_parse_image failed: No such file or directory
2016-11-15 10:24:37 EST libxl: error: libxl_create.c:1223:domcreate_rebuild_done: cannot (re-)build domain: -3

Not much help there. Lets mount the image
[root@dhcp-whq-twvpn-2-vpnpool-10-159-175-2 ~]# losetup /dev/loop1 /var/lib/libvirt/images/Fedora.img 
[root@dhcp-whq-twvpn-2-vpnpool-10-159-175-2 ~]# losetup 
NAME       SIZELIMIT OFFSET AUTOCLEAR RO BACK-FILE                                       DIO
/dev/loop1         0      0         0  0 /var/lib/libvirt/images/Fedora.img                0
/dev/loop0         0      0         1  0 /srv/tftpboot/Fedora-Server-dvd-i386-24-1.2.iso   0

and get the kernel:
[root@dhcp-whq-twvpn-2-vpnpool-10-159-175-2 ~]# pygrub -i /dev/loop1
Using <class 'grub.GrubConf.Grub2ConfigFile'> to parse /grub2/grub.cfg
WARNING:root:grub2's saved_entry/next_entry not supported
WARNING:root:Unknown directive else
WARNING:root:grub2's saved_entry/next_entry not supported
WARNING:root:Unknown directive menuentry_id_option
WARNING:root:Unknown directive else
WARNING:root:Unknown directive menuentry_id_option
... snip..
linux (kernel /var/run/xen/pygrub/boot_kernel.CfF3K9)(ramdisk /var/run/xen/pygrub/boot_ramdisk.W_fXFl)(args "root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8")
# file /var/run/xen/pygrub/boot_kernel.CfF3K9
/var/run/xen/pygrub/boot_kernel.CfF3K9: Linux kernel x86 boot executable bzImage, version 4.5.5-300.fc24.i686 (mockbuild@bkernel02.phx2.fedoraproject.org, RO-rootFS, swap_dev 0x5, Normal VGA

Well, nonPAE kernel! That won't boot as Xen PV guest (the PV drivers are not built in with
non-PAE kernels).

Comment 1 Konrad Rzeszutek Wilk 2016-11-18 18:12:35 UTC
Putting is on the proposed blocker list as the Final Release Criteria (https://fedoraproject.org/wiki/Fedora_25_Final_Release_Criteria) say:

"Xen DomU
The release must boot successfully as Xen DomU with releases providing a functional, supported Xen Dom0 and widely used cloud providers utilizing Xen."

Comment 2 Konrad Rzeszutek Wilk 2016-11-18 18:14:27 UTC
Oops, wrong blocker. Fixing

Comment 3 Fedora End Of Life 2017-11-16 18:40:54 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:31:57 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.